openapi: 3.0.0
info:
  version: V1
  title: Airflow API
  contact:
    name: xyzw
    url: https://www.cdq.ch/team
    email: xyz@cdq.ch
tags:
  - name: Dags
    description: Everything about Dags
servers:
  - url: https://airflow.staging.k8s.devops.cdq-cloud-engine.com
    description: Staging Airflow
  - url: https://airflow.prod.k8s.production.cdq-cloud-engine.com
    description: Prod Airflow
paths:
  /api/v1/dags:
    get:
      summary: List Dags
      tags:
        - Dags
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: string
        '403':
          description: Unauthorized
security:
  - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
  parameters:
    usernameHeaderParam:
      name: X-Credential-Username
      in: header
      required: true
      schema:
        type: string
      description: >-
        Username that is passed as header parameter with the name
        X-Credential-Username.
  schemas:
    Test:
      type: string
